Subject: Re: [PATCH 20/21] powerpc/ps3: remove inline marking of EXPORT_SYMBOL functions

From: Geoff Levand <[email-masked]>
Date: Tue, 28 May 2013 16:14:54 -0700

Hi Geert,

On Fri, 2013-05-17 at 18:05 +0200, Geert Uytterhoeven wrote:
> On Thu, May 9, 2013 at 12:36 PM, Denis Efremov <[email-masked]> wrote:
> > -inline u64 ps3_get_spe_id(void *arg)
> > +u64 ps3_get_spe_id(void *arg)
> >  {
> >         return spu_pdata(arg)->spe_id;
> >  }
> 
> FYI, this symbol is not used in mainline.
> 
> IIRC, it's used for profiling only. Any chance the profile code will
> ever make it
> in mainline?

As I announced (below), I dropped the profiling patches since
ps3-queue-v3.8.

The profiling code does not use ps3_get_spe_id(), so I think we should
remove it.  I'll submit a patch.

-Geoff

-------- Forwarded Message --------
From: Geoff Levand <[email-masked]>
To: [email-masked]
Subject: Dropping PS3 oprofile support in v3.8
Date: Wed, 13 Feb 2013 17:30:39 -0800

Hi All,

I'll be dropping the PS3 oprofile patches from my ps3-linux git tree
from linux-3.8.  These are the patches: 

 7f02610 ps3-debugging: Add oprofile test script
 49213b6 powerpc/ps3: PS3 oprofile support
 aee2985 powerpc/ps3: Add ps3 pmu platform routines
 531c3f4 powerpc/ps3: Rearrange order of lpm routines
 9d8a7d3 powerpc/cell: Add pmu platform abstraction
 6865b99 powerpc/cell: Rearrange order of pmu routines

These patches will still be available in the ps3-queue-v3.7 and earlier
branches for anyone who wants them.

-Geoff